%global upstream_name itsdangerous

Name:           python-%{upstream_name}
Version:        0.24
Release:        %mkrel 2
Summary:        Python library for passing trusted data to untrusted environments

Group:          Development/Python
License:        BSD
URL:            http://pythonhosted.org/itsdangerous/
Source0:        http://pypi.python.org/packages/source/i/%{upstream_name}/%{upstream_name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Itsdangerous is a Python library for passing data through untrusted
environments (for example, HTTP cookies) while ensuring the data is not
tampered with.

Internally itsdangerous uses HMAC and SHA1 for signing by default and bases the
implementation on the Django signing module. It also however supports JSON Web
Signatures (JWS).

%package -n python3-%{upstream_name}
Summary:        Python 3 library for passing trusted data to untrusted environments
Group:          Development/Python

%description -n python3-%{upstream_name}
Itsdangerous is a Python 3 library for passing data through untrusted
environments (for example, HTTP cookies) while ensuring the data is not
tampered with.

Internally itsdangerous uses HMAC and SHA1 for signing by default and bases the
implementation on the Django signing module. It also however supports JSON Web
Signatures (JWS).

%prep
%setup -qn %{upstream_name}-%{version}
rm -r *.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files
%doc CHANGES README LICENSE
%{python2_sitelib}/*

%files -n python3-%{upstream_name}
%doc CHANGES README LICENSE
%{python3_sitelib}/*

%changelog
* Thu Jul 03 2018 adrianomorselli <adrianomorselli> 0.24-2uplos2018
- rebuild
